tt_message_arg_add(library call)

NAME
tt_message_arg_add — add a new argument to a message object

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_arg_add(
Tt_message m,
Tt_mode n,
const char *vtype,
const char *value);

DESCRIPTION

The tt_message_arg_add function adds a new argument to a message object.

The application must add all arguments before the message is sent. To change existing argument values, the application must use only modes TT_OUT or TT_INOUT.

Adding arguments when replying to a message produces undefined results.

The m argument is the opaque handle for the message involved in this operation. The n argument specifies who (sender, handler, observers) writes and reads a message argument. The following modes are defined:

TT_IN
    The argument is written by the sender and read by the handler and any observers.

TT_OUT
    The argument is written by the handler and read by the sender and any reply observers.

TT_INOUT
    The argument is written by the sender and the handler and read by all.

The vtype argument describes the type of argument data being added. The value argument is the contents for the message argument attribute. The application can use NULL either for values of mode TT_OUT, or if the value is to be filled in later with one of the following:

tt_message_arg_val_set
tt_message_iarg_val_set

RETURN VALUE

Upon successful completion, the tt_message_arg_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_MODE
    The specified Tt_mode is invalid.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_message_arg_val_set(3), tt_message_barg_add(3), tt_message_iarg_add(3).